Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
Developer
murugesan2013
Posts: 34
Registered: ‎11-16-2012
My Device: BB Dev 10 Alpha Simulator
My Carrier: Computer

When am trying to run a sample app of android through porting Getting Errors

An internal error occurred during: "Launching NotePad".
com.android.ide.eclipse.adt.internal.project.AndroidManifestHelper.parseForData(Lorg/eclipse/core/resources/IProject:smileywink:Lcom/android/sdklib/xml/ManifestData;

 

Pls could any one Rectify or any one got the similar errors and got solved ???

Regards,
Murugesan
Please use plain text.
Contributor
hazemkhaled
Posts: 10
Registered: ‎04-01-2012
My Device: BlackBerry Z10 LE
My Carrier: Mobinil

Re: When am trying to run a sample app of android through porting Getting Errors

check this soluation

 


BlackBerry Plug-in 1.3 Beta is not compatible with ADT (Android Development Tools) version 21. I also experienced this bug on both Windows 7 and Mac OS 10.7.5.

After an hour I finally found a solution (workaround):

  1. Uninstall ADT and BlackBerry plug-in from Eclipse
  2. Manually download ADT 20 from http://dl.google.com/android/ADT-20.0.0.zip
  3. Install ADT as Eclipse plug-in from the downloaded archive
  4. Install BlackBerry plug-in 1.3 Beta

Please note that I have also posted the solution with more details at my personal site:https://www.anavi.org/article/152/





Web / Mobile Developer, @BlackBerryEG co-manager, co-founder @eshtery, @TiCairo Manager, #Appcelerator Titan/TCAD/TCMD
Please use plain text.
Developer
murugesan2013
Posts: 34
Registered: ‎11-16-2012
My Device: BB Dev 10 Alpha Simulator
My Carrier: Computer

Re: When am trying to run a sample app of android through porting Getting Errors

Good one !! Keep Going

Regards,
Murugesan
Please use plain text.
Visitor
ruchi_mungre
Posts: 1
Registered: ‎11-20-2012
My Device: BlackBerry Playbook
My Carrier: Sprint

Re: When am trying to run a sample app of android through porting Getting Errors

HI,

 

Thanks for your step wise solution. But when I install ADT 20.0 manually, its is continuously promting me to upgrade and not allow me to install sdk properly on my eclipse. 

 

It is giving me error like Preference> Android > "This Android SDK requires Android Development... Please update ADT to lastest version." 

 

Please tell me what to do now. Thanks in aadvance !

Please use plain text.
New Developer
hminaya
Posts: 10
Registered: ‎11-27-2012
My Device: Playbook
My Carrier: Orange

Re: When am trying to run a sample app of android through porting Getting Errors

I'm getting the same error as ruchi on one of my dev machines, is there a solution?

Please use plain text.
Developer
murugesan2013
Posts: 34
Registered: ‎11-16-2012
My Device: BB Dev 10 Alpha Simulator
My Carrier: Computer

Re: When am trying to run a sample app of android through porting Getting Errors

The SDK has installed 4.0.1 packages these are all compatible with ADT 21 plugin only

 

    so try un-installing all those packgages keep  android 2.3.3 alone

Regards,
Murugesan
Please use plain text.